#!/bin/bash
# Copyright (C) 2004-2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-edubar
#
# le-edubar is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
user=$(whoami|cut -d- -f1)
#   Applies icon-theme, window-theme, theme, extesions, button-layout. 
#   Applies settings in Gnome 3   
gsettings set org.gnome.desktop.wm.preferences theme Adwaita
gsettings set org.gnome.desktop.interface gtk-theme Adwaita
gsettings set org.gnome.desktop.interface icon-theme Gnome
gsettings set org.gnome.desktop.background picture-uri file:///usr/share/backgrounds/LE5.png
gsettings set org.gnome.shell.overrides button-layout ':minimize,maximize,close'
gsettings set org.gnome.shell enabled-extensions "['le_search@le.c3sl.ufpr.br','Shut_Down_Menu@rmy.pobox.com','menuextra@c3sl.ufpr.br','le_search@le.c3sl.ufpr.br']"

if [ "$user" = "aluno" ]; then
    gsettings set 'org.gnome.desktop.lockdown' 'disable-lock-screen' 'true'
    gsettings set 'org.gnome.desktop.lockdown' 'disable-user-switching' 'true'
    else
        gsettings set 'org.gnome.desktop.lockdown' 'disable-lock-screen' 'false'
        gsettings set 'org.gnome.desktop.lockdown' 'disable-user-switching' 'false'
fi
#   Applies settings in Fallback
if pgrep gnome-fallback; then 
	gconftool-2 --set /apps/metacity/general/button_layout --type string \ :minimize,maximize,close
	gconftool-2 -t str -s /apps/metacity/general/theme Adwaita
	gconftool-2 -t str -s /desktop/gnome/interface/gtk_theme Adwaita
	gconftool-2 -t str -s /desktop/gnome/interface/icon_theme gnome
	xcompmgr &
fi


